List Calls
List voice calls for your team. Results are sorted newest first.
Authentication
PINNACLE-API-KEYstring
API Key authentication via header
Query parameters
limit
Maximum calls to return.
cursor
Opaque cursor returned by the previous page.
state
Current voice call lifecycle state. This field is named state on Call objects and status on CALL.STATUS webhook payloads.
INITIATED: Pinnacle accepted the call request and is setting up the call with the voice provider.RINGING: The call is ringing and has not been answered yet.ANSWERED: The call has been answered and is active.BRIDGED: The call is connected to another call leg, such as after a transfer or bridge command.ENDED: The call ended normally.FAILED: The call could not be established or could not continue because of a provider or system failure.NO_ANSWER: The call rang until timeout without being answered.BUSY: The destination was busy.CANCELED: The call was canceled before normal completion.
direction
Direction of the call relative to your Pinnacle team.
INBOUND: The call originated from an external caller and was received by one of your Pinnacle voice-enabled phone numbers.OUTBOUND: The call was created from Pinnacle and dialed out from one of your voice-enabled phone numbers.
Allowed values:
from
to
created_after
created_before
Response
Calls page.
data
next_cursor
Errors
400
Bad Request Error
401
Unauthorized Error
500
Internal Server Error

